const express = require('express');

const { passport } = require('./services/passport');
const router = require('./routes');
const { PORT } = require('./config');

const app = express();

app.use(express.urlencoded({ extended: true }));
app.use(express.json());

app.use(passport.initialize());
app.use(router);

app.listen(PORT, () => {
  console.log(`Example app listening at http://localhost:${PORT}`)
})