const { Router } = require('express'); 
const { login, register } = require('./controller');
const { password, master } = require('../../services/passport');
const { joiMiddleware, newUserSchema } = require('../../services/joi');

const router = new Router()

router.post('/login', password(), login)
router.post('/register', master(), joiMiddleware(newUserSchema), register)

module.exports = router;