const { Router } = require('express'); 
const { get, set } = require('./controller');
const { token } = require('../../services/passport');

const router = new Router();

router.get('/', token({ required: true }), get);
router.post('/', token({ required: true }), set);

module.exports = router;